List connections.
GET
/v1/virtual-users/{identity_id}/connections
const url = 'https://app.everruns.com/api/v1/virtual-users/example/connections';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/virtual-users/example/connectionsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”identity_id
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
Connection info returned in API responses (never includes token)
object
connected_at
required
Time the grant was created.
string format: date-time
connection_type
required
Credential mechanism used by this connection.
string
provider
required
Stable provider identifier.
string
provider_username
Display name on the provider.
string | null
scopes
Provider scopes granted to this account.
string | null
Example
[ { "connected_at": "2026-09-29T12:00:00Z", "connection_type": "oauth", "provider": "github", "provider_username": "octocat", "scopes": "read:user" }]Authentication required
Permission denied
Virtual user not found